function [t,y]=AB4(f,t0,y0,t_max,n)
  h=(t_max-t0)/n;
  t=[t0 zeros(1,n)]; y=[y0 zeros(1,n)];

  for i=1:3
    t(i+1)=t(i)+h;
    f1=f(t(i),y(i));
    f2=f(t(i)+h/2,y(i)+h/2*f1);
    f3=f(t(i)+h/2,y(i)+h/2*f2);
    f4 =f(t(i)+h,y(i)+h*f3);
    y(i+1)=y(i)+h*(f1+2*f2+2*f3+f4)/6;
  endfor

  for i=4:n
    f_minus_3 = f(t(i-3),y(i-3));
    f_minus_2 = f(t(i-2),y(i-2));
    f_minus_1 = f(t(i-1),y(i-1));
    t(i+1)=t(i)+h;
    y(i+1)=y(i)+h/24*(55*f(t(i),y(i))-59*f_minus_1+37*f_minus_2-9*f_minus_3);
  endfor
end

