function [t,y]=euler_backward_variante(f,fprime,t0,y0,t_max,n)
  h=(t_max-t0)/n;
  t=[t0 zeros(1,n)]; y=[y0 zeros(1,n)];
  for i=1:n
    t(i+1)=t(i)+h;
    y(i+1)=y(i)+h/(1-h*fprime(t(i+1),y(i)))*f(t(i+1),y(i)); %utilisation de la méthode de Newton avec une étape
  endfor
endfunction
