close all
clear all

a=2;
b=1;
c=0.3;
d=1;

t0=0;
x0=2;
y0=1;
tmax=100;

n=100000; %=(t_max - t0)/h, h = 0.001;

fx=@(t,x,y) (a*x-b*x*y);
fy=@(t,x,y) (c*x*y-d*y);

[t1,x1,y1]=euler_forward_exo4(fx,fy,t0,x0,y0,tmax,n);
[t2,x2,y2]=trapezes_exo4(fx,fy,t0,x0,y0,tmax,n);

plot(t1,y1,'g',t2,y2,'k', t1,x1,'--',t2,x2,'--')
xlabel('Temps')
ylabel('Population')
legend('Requins d Euler', 'Requins des trapèzes', 'Sardines d Euler', 'Sardines des trapèzes')
