function x = Gaussperso (A, b)
  n = length(A);
  for k = 1:n-1
    M = choixpivotk(A,b,k);
    A = M(:,1:n);
    b = M(:,n+1);
    for i = k+1:n
      mu = A(i,k)/A(k,k);
      for j = k:n
        A(i,j) = A(i,j) - mu * A(k,j);
      endfor
      b(i) = b(i) - mu * b(k);
    endfor
  endfor
  x = remontee(A,b);
endfunction
