function M = factLU(A)
  n = length(A);
  L = eye(n);
  for k=1:n-1
    for i=k+1:n
      mu = A(i,k)/A(k,k);
      L(i,k) = mu;
      for j=k:n
        A(i,j) = A(i,j) - mu*A(k,j);
      endfor
    endfor
  endfor
  U = A;
  M = [L,U];
endfunction
