function [t,y]=RK4(f,t0,y0,t_max,n)
  h=(t_max-t0)/n;
  t=[t0 zeros(1,n)]; y=[y0 zeros(1,n)];
  for i=1:n
  t(i+1)=t(i)+h;
    f1=f(t(i),y(i));
    f2=f(t(i)+h/2,y(i)+h/2*f1);
    f3=f(t(i)+h/2,y(i)+h/2*f2);
    f4=f(t(i)+h,y(i)+h*f3);
    y(i+1)=y(i)+h*(f1+2*f2+2*f3+f4)/6;
  endfor
end
