close all
clear all

lambda = -200;

f=@(t,y) (lambda*y);

fprime=@(y)(lambda);

%% Ls solution exacte de y'=lambda*y pour comparer
g=@(t) (exp(lambda*t));

te=0:0.01:1;
ye=g(te);

t0 = 0;
y0 = 1;
t_max = 1;
n = 100;
%h = 1/100

[t,y] = euler_forward(f,t0,y0,t_max,n);

plot(t,y,'r-',te,ye,'--')
