close all
clear all

lambda = -10;

f=@(t,y) (lambda*y);

fprime=@(t,y)(lambda);

%% La solution exacte de y'=lambda*y pour comparer
g=@(t) (exp(lambda*t));

te=0:0.01:1;
ye=g(te);

t0 = 0;
y0 = 1;
t_max = 1;
n = 1000;

[t,y]=euler_backward(f,t0,y0,t_max,lambda, n);
%[t,y] = euler_backward_variante(f,fprime,t0,y0,t_max,n);

ye=g(te);

plot(t,y,'r-',te,ye,'--');
